"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getStoreState_1 = require("./util/getStoreState");
const persist = (storage, stores) => {
    return new Promise((resolve) => {
        let neededCallbacks = Array.isArray(stores) ? stores.length : 0;
        const callb = () => {
            neededCallbacks--;
            if (neededCallbacks === 0) {
                resolve();
            }
        };
        for (const store of stores) {
            storage.setItem(`store.${store.name}`, JSON.stringify(getStoreState_1.default(store)), callb);
        }
    });
};
exports.default = persist;
//# sourceMappingURL=persist.js.map